/*

"Yet Another Breakout Clone"
by Janis Elsts
http://w-shadow.com/

*/

import ddf.minim.*; //Minim is used to play sound effects

final float initialBallVelocity = 300f; //pixels per second
final float minBallVelocity = 280f;
final float maxBallVelocity = 550;
final int initialLives = 3;

final int arenaWidth = 509; //pixels
final int arenaHeight = 430; //pixels
final int paddleOffset = 40; //pixels from arena bottom

final int numBricksHorizontal = 13;
final int numBricksVertical = 15;
final int brickHeight = 22; //pixels

final String[] maps = {"diamond", "lines", "classic"};

GameEngine game;
Minim minim;

void setup(){
  size(640, 480);
  frameRate(60);
  
  minim = new Minim(this);
  
  game = new GameEngine(maps);
  game.init("Another Breakout Clone");
  game.changeState(new IntroState());
}

void draw(){
  game.handleEvents();
  game.update();
  game.draw();
}

void mousePressed(){
  game.mousePressed();
}

void mouseReleased(){
  game.mouseReleased();
}

void keyPressed(){
  game.keyPressed();
}

void keyReleased(){
  game.keyReleased();
}

void stop(){
  minim.stop();
  super.stop();
}
