//2D line primitive
class PLine {
    PVector start, end;
    color clr = color(0, 0, 0);
    
    PLine(){
      start = new PVector();
      end = new PVector();
    }
    
    PLine(float x1, float y1, float x2, float y2){
      this.start = new PVector(x1, y1);
      this.end = new PVector(x2, y2);
    }
    
    PLine(PVector start, PVector end){
      this.start = start.get();
      this.end = end.get();
    }
    
    void set(PLine original){
      clr = original.clr;
      start.set(original.start);
      end.set(original.end);
    }
    
    void set(PVector newStart, PVector newEnd){
      start.set(newStart);
      end.set(newEnd);
    }
    
    Collision testCollision(AABB aabb){
      return intersectLineWithAABB(this, aabb);
    }
    
    void draw(){
      stroke(this.clr);
      line(start.x, start.y, end.x, end.y);
      
      noFill();  
      ellipse(start.x, start.y, 10, 10);
    }
}
